Name:           ffmulticonverter
Version:        1.6.0
Release:        %mkrel 1
Summary:        GUI File Format Converter
Group:          Video/Editors and Converters
License:        GPLv3
URL:            https://sites.google.com/site/%{name}/home

Source0:        http://sourceforge.net/projects/ffmulticonv/files/%{name}-%{version}.tar.gz
Patch0:         ffmulticonverter-1.6.0-mga-icon-path.patch

BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
# The imagemagick in br is needed only for the 'convert' commande in the section 'install'
BuildRequires:  imagemagick

Requires:       python3-qt4
Requires:       python3-sip
Requires:       ffmpeg
Requires:       imagemagick

Suggests:       unoconv


%description
Graphical application which enables you to convert audio, video, image
and document files between all popular formats using ffmpeg, unoconv,
and PythonMagick.

Features:
 - Conversions for several file formats.
 - Very easy to use interface.
 - Access to common conversion options.
 - Audio/video ffmpeg-presets management.
 - Options for saving and naming files.
 - Recursive conversions
 

%prep
%setup -q
%apply_patches

%build
%__python3 setup.py build

%install
%__python3 ./setup.py install -O1 --root=%{buildroot}

%__mkdir -p %{buildroot}%{_miconsdir}
%__mkdir -p %{buildroot}%{_liconsdir}
convert -scale 16x16 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 48x48 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32x32 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png

%files
%doc ChangeLog README.txt AUTHORS TRANSLATORS
%doc %{_mandir}/man1/ffmulticonverter.1.xz
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%py3ver.egg-info
%{python3_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png



%changelog
* Sun Dec 15 2013 dglent <dglent> 1.6.0-1.mga4
+ Revision: 556943
- Add Requires python3-sip
- New version 1.6.0
- Application ported to python3

* Tue Oct 22 2013 umeabot <umeabot> 1.5.2-5.mga4
+ Revision: 542606
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.5.2-4.mga4
+ Revision: 497750
- Rebuild to add different pythonegg provides for python 2 and 3

  + dglent <dglent>
    - Replace commands with macros
    - Install directory in %%files section
    - Remove copy of license
    - Update spec
    - New version 1.5.2
    - New version 1.5.1
    - New version 1.5.0
    - Update the tarball source path in SPEC
    - New version 1.4.3
    - Add patch for icon path
    - Minor changes in spec
    - New version 1.4.2
    - New version 1.4.0, drop patch from 1.3.1

  + barjac <barjac>
    - update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 1.3.1-2.mga2
+ Revision: 220907
- optional requirements are now suggested, not required
- replace pil by pythonmagick as optional requirement
- removed unneeded requirements

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 1.3.1-1.mga2
+ Revision: 220902
- new version 1.3.1
- rediffed desktop file patch

* Sun Jan 29 2012 obgr_seneca <obgr_seneca> 1.2.0-1.mga2
+ Revision: 202960
- imported package ffmulticonverter


* Sun Jan 29 2012 Oliver Burger <obgr_seneca@mageia.org> 1.2.0-1.mga2
- import int Mga
- Spec file provided by Dimitrios Glentadakis
- Bug #4333
